3
$\begingroup$

I was under the impression that GPU's that supports OpenCL 1.2 should work with Cycles on OS X. (LuxRender using OpenCL works fine).

Still, I get a party-pooping error that renders (pun intended) Cycles useless on my system. This happens for GPU rendering, not when using the CPU.

Any ideas around when this will get fixed?

My HW:

MacBook Pro 2015

2.2GHz Intel i7

16GB 1600GHz DDR3 RAM

Intel Iris Pro 1536 MB

I would really like to use Cycles, but for now this seems impossible.

$\endgroup$
2
  • 1
    $\begingroup$ Not sure but as far as I know only AMD graphics cards are supported for rendering with OpenCL, and even those have some limitations and performance bottlenecks, I think. $\endgroup$ – Duarte Farrajota Ramos Apr 28 '16 at 14:20
  • $\begingroup$ OS X's OpenCL doesn't play nice with Blender. Unfortunately there isn't much you can do. $\endgroup$ – Mike Pan Jul 6 '16 at 2:52
3
$\begingroup$

No, AMD are not the only system GPGPUs that support Cycles OpenCL Rendering.

https://wiki.blender.org/index.php/OpenCL

But you are not alone. In OS X 10.11.4 with Iris Pro 6100 on the Macbook Pro 13" the kernel fails. The OpenCL support by Apple for the iGPU is OpenCL 1.2. It should work, but fails.

That onus is on Blender.

$\endgroup$
1
  • $\begingroup$ I wish there's solution to this as i have similar model as the poster above.. if anyone has solution please share. $\endgroup$ – Supian Mustapa Mar 9 '20 at 7:42

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.